Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.client
Class UDDIProxy

    java.lang.Object
      org.uddi4j.client.UDDIProxy

public class UDDIProxy
extends java.lang.Object

Represents a UDDI server and the actions that can be invoked against it.

The API is described in the UDDI API specification available from http://www.uddi.org . The UDDI API specification is required to understand and utilize this API. This class attempts to closely pattern the API document.

Author:
  David Melgar (dmelgar@us.ibm.com), Ravi Trivedi (ravi_trivedi@hp.com), Vivek Chopra (vivek@soaprpc.com), Ozzy (ozzy@hursley.ibm.com)

Field Summary
`static java.lang.String` | `HTTP_BASIC_AUTH_PASSWORD_PROPERTY`
`static java.lang.String` | `HTTP_BASIC_AUTH_USERNAME_PROPERTY`
`static java.lang.String` | `HTTP_PROXY_HOST_PROPERTY`
`static java.lang.String` | `HTTP_PROXY_PASSWORD_PROPERTY`
`static java.lang.String` | `HTTP_PROXY_PORT_PROPERTY`
`static java.lang.String` | `HTTP_PROXY_USERNAME_PROPERTY`
`static java.lang.String` | `INQUIRY_URL_PROPERTY`
`protected java.net.URL` | `inquiryURL`
`static java.lang.String` | `LOGGING_PROPERTY`
`static java.lang.String` | `PUBLISH_URL_PROPERTY`
`protected java.net.URL` | `publishURL`
`static java.lang.String` | `TRANSPORT_CLASSNAME_PROPERTY`

Constructor Summary
`UDDIProxy()` Default constructor.
`UDDIProxy(java.util.Properties p)` Construct a UDDIProxy object
`UDDIProxy(java.net.URL inquiryURL, java.net.URL publishURL)` Construct a UDDIProxy object.

Method Summary
`DispositionReport` | `add_publisherAssertions(java.lang.String authInfo, PublisherAssertion publisherAssertion)` The add_publisherAssertions message is used to add relationship assertions to the existing set of assertions.
`DispositionReport` | `add_publisherAssertions(java.lang.String authInfo, java.util.Vector publisherAssertion)` The add_publisherAssertions message is used to add relationship assertions to the existing set of assertions.
`DispositionReport` | `delete_binding(java.lang.String authInfo, java.lang.String bindingKey)` The delete_binding message causes one or more bindingTemplate to be deleted.
`DispositionReport` | `delete_binding(java.lang.String authInfo, java.util.Vector bindingKeyStrings)` The delete_binding message causes one or more bindingTemplate to be deleted.
`DispositionReport` | `delete_business(java.lang.String authInfo, java.lang.String businessKey)` The delete_business message is used to remove one or more businessEntity structures.
`DispositionReport` | `delete_business(java.lang.String authInfo, java.util.Vector businessKeyStrings)` The delete_business message is used to remove one or more businessEntity structures.
`DispositionReport` | `delete_publisherAssertions(java.lang.String authInfo, PublisherAssertion publisherAssertion)` The delete_publisherAssertions message is used to delete specific publisher assertions from the assertion collection controlled by a particular publisher account.
`DispositionReport` | `delete_publisherAssertions(java.lang.String authInfo, java.util.Vector publisherAssertion)` The delete_publisherAssertions message is used to delete specific publisher assertions from the assertion collection controlled by a particular publisher account.
`DispositionReport` | `delete_service(java.lang.String authInfo, java.lang.String serviceKey)` The delete_service message is used to remove one or more businessService structures.
`DispositionReport` | `delete_service(java.lang.String authInfo, java.util.Vector serviceKeyStrings)` The delete_service message is used to remove one or more businessService structures.
`DispositionReport` | `delete_tModel(java.lang.String authInfo, java.lang.String tModelKey)` The delete_tModel message is used to remove or retire one or more tModel structures.
`DispositionReport` | `delete_tModel(java.lang.String authInfo, java.util.Vector tModelKeyStrings)` The delete_tModel message is used to remove or retire one or more tModel structures.
`DispositionReport` | `discard_authToken(AuthInfo authInfo)` The discard_authToken message is used to inform an Operator Site that the authentication token can be discarded.
`DispositionReport` | `discard_authToken(java.lang.String authInfo)` The discard_authToken message is used to inform an Operator Site that the authentication token can be discarded.
`BindingDetail` | `find_binding(FindQualifiers findQualifiers, java.lang.String serviceKey, TModelBag tModelBag, int maxRows)` The find_binding method returns a bindingDetail message that contains a bindingTemplates structure with zero or more bindingTemplate structures matching the criteria specified in the argument list.
`BusinessList` | `find_business(CategoryBag categoryBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead
`BusinessList` | `find_business(DiscoveryURLs discoveryURLs, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead
`BusinessList` | `find_business(IdentifierBag identifierBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead
`BusinessList` | `find_business(java.lang.String name, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead
`BusinessList` | `find_business(TModelBag tModelBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated.Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead
`BusinessList` | `find_business(java.util.Vector names, DiscoveryURLs discoveryURLs, IdentifierBag identifierBag, CategoryBag categoryBag, TModelBag tModelBag, FindQualifiers findQualifiers, int maxRows)` The find_business message returns a businessList message that matches the conditions specified in the arguments.
`RelatedBusinessesList` | `find_relatedBusinesses(java.lang.String businessKey, KeyedReference keyedReference, FindQualifiers findQualifiers)` Deprecated. UDDI version 2, errata 2 added maxrows as a parameter to this method. Use `find_relatedBusinesses(String, KeyedReference, FindQualifiers, int)` instead
`RelatedBusinessesList` | `find_relatedBusinesses(java.lang.String businessKey, KeyedReference keyedReference, FindQualifiers findQualifiers, int maxRows)` The find_relatedBusinesses API call is used to locate information about businessEntity registrations that are related to a specific business entity whose key is passed in the inquiry.
`ServiceList` | `find_service(java.lang.String businessKey, CategoryBag categoryBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_service(String, Vector, CategoryBag, TModelBag, FindQualifiers, int)` instead
`ServiceList` | `find_service(java.lang.String businessKey, java.lang.String name, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_service(String, Vector, CategoryBag, TModelBag, FindQualifiers, int)` instead
`ServiceList` | `find_service(java.lang.String businessKey, TModelBag tModelBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_service(String, Vector, CategoryBag, TModelBag, FindQualifiers, int)` instead
`ServiceList` | `find_service(java.lang.String businessKey, java.util.Vector names, CategoryBag categoryBag, TModelBag tModelBag, FindQualifiers findQualifiers, int maxRows)` This function returns a serviceList on success.
`TModelList` | `find_tModel(CategoryBag categoryBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_tModel(String, CategoryBag, IdentifierBag, FindQualifiers, int)` instead
`TModelList` | `find_tModel(IdentifierBag identifierBag, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_tModel(String, CategoryBag, IdentifierBag, FindQualifiers, int)` instead
`TModelList` | `find_tModel(java.lang.String name, CategoryBag categoryBag, IdentifierBag identifierBag, FindQualifiers findQualifiers, int maxRows)` This find_tModel message is for locating a list of tModel entries that match a set of specific criteria.
`TModelList` | `find_tModel(java.lang.String name, FindQualifiers findQualifiers, int maxRows)` Deprecated. This method has been deprecated. Use `find_tModel(String, CategoryBag, IdentifierBag, FindQualifiers, int)` instead
`AssertionStatusReport` | `get_assertionStatusReport(java.lang.String authInfo, CompletionStatus completionStatus)` The get_assertionStatusReport message is used to request a status report containing publisher assertions and status information.
`AssertionStatusReport` | `get_assertionStatusReport(java.lang.String authInfo, java.lang.String completionStatus)` The get_assertionStatusReport message is used to request a status report containing publisher assertions and status information.
`AuthToken` | `get_authToken(java.lang.String userid, java.lang.String cred)` The get_authToken message is used to obtain an authentication token.
`BindingDetail` | `get_bindingDetail(java.lang.String bindingKey)` The get_bindingDetail message is for requesting the run-time bindingTemplate information location information for the purpose of invoking a registered business API.
`BindingDetail` | `get_bindingDetail(java.util.Vector bindingKeyStrings)` The get_bindingDetail message is for requesting the run-time bindingTemplate information location information for the purpose of invoking a registered business API.
`BusinessDetail` | `get_businessDetail(java.lang.String businessKey)` The get_businessDetail message returns complete businessEntity information for one or more specified businessEntitys
`BusinessDetail` | `get_businessDetail(java.util.Vector businessKeyStrings)` The get_businessDetail message returns complete businessEntity information for one or more specified businessEntitys
`BusinessDetailExt` | `get_businessDetailExt(java.lang.String businessKey)` The get_businessDetailExt message returns extended businessEntity information for one or more specified businessEntitys.
`BusinessDetailExt` | `get_businessDetailExt(java.util.Vector businessKeyStrings)` The get_businessDetailExt message returns extended businessEntity information for one or more specified businessEntitys.
`PublisherAssertions` | `get_publisherAssertions(java.lang.String authInfo)` The get_publisherAssertions message is used to get a list of active publisher assertions that are controlled by an individual publisher account.
`RegisteredInfo` | `get_registeredInfo(java.lang.String authInfo)` The get_registeredInfo message is used to get an abbreviated list of all businessEntity keys and tModel keys that are controlled by the individual associated the credentials passed.
`ServiceDetail` | `get_serviceDetail(java.lang.String serviceKey)` The get_serviceDetail message is used to request full information about a known businessService structure.
`ServiceDetail` | `get_serviceDetail(java.util.Vector serviceKeyStrings)` The get_serviceDetail message is used to request full information about a known businessService structure.
`TModelDetail` | `get_tModelDetail(java.lang.String tModelKey)` The get_tModelDetail message is used to request full information about a known tModel structure.
`TModelDetail` | `get_tModelDetail(java.util.Vector tModelKeyStrings)` The get_tModelDetail message is used to request full information about a known tModel structure.
`java.util.Properties` | `getConfiguration()` Get the configuration properties currently in use
`boolean` | `logEnabled()`
`BindingDetail` | `save_binding(java.lang.String authInfo, java.util.Vector bindingTemplates)` The save_binding message is used to save or update a complete bindingTemplate structure.
`BusinessDetail` | `save_business(java.lang.String authInfo, UploadRegister[] uploadRegisters)` Deprecated. This method has been deprecated. Use `save_business(String, Vector)` instead
`BusinessDetail` | `save_business(java.lang.String authInfo, java.util.Vector businessEntities)` The save_business message is used to save or update information about a complete businessEntity structure.
`ServiceDetail` | `save_service(java.lang.String authInfo, java.util.Vector businessServices)` The save_service message adds or updates one or more businessService structures.
`TModelDetail` | `save_tModel(java.lang.String authInfo, UploadRegister[] uploadRegisters)` Deprecated. This method has been deprecated. Use `save_tModel(String, Vector)` instead
`TModelDetail` | `save_tModel(java.lang.String authInfo, java.util.Vector tModels)` The save_tModel message adds or updates one or more tModel structures.
`org.w3c.dom.Element` | `send(org.w3c.dom.Element el, boolean inquiry)` Sends an XML DOM tree indentified by the given element to either the inquiry or publish URL.
`org.w3c.dom.Element` | `send(UDDIElement el, boolean inquiry)` Sends a UDDIElement to either the inquiry or publish URL.
`PublisherAssertions` | `set_publisherAssertions(java.lang.String authInfo, PublisherAssertion pub)` The set_publisherAssertions message is used to save the complete set of publisher assertions for an individual publisher account.
`PublisherAssertions` | `set_publisherAssertions(java.lang.String authInfo, java.util.Vector publisherAssertion)` The set_publisherAssertions message is used to save the complete set of publisher assertions for an individual publisher account.
`void` | `setConfiguration(java.util.Properties props)` Set the configuration properties
`void` | `setInquiryURL(java.lang.String url)` Set the URL to be used for inquiry requests.
`void` | `setInquiryURL(java.net.URL url)` Set the URL to be used for inquiry requests.
`void` | `setPublishURL(java.lang.String url)` Set the URL to be used for publish requests.
`void` | `setPublishURL(java.net.URL url)` Set the URL to be used for publish requests.
`DispositionReport` | `validate_values_businessEntity(java.util.Vector businessEntity)` A UDDI operator sends the validate_values message to the appropriate external service, whenever a publisher saves data that uses a categorization value or identifier whose use is regulated by the external party who controls that service.
`DispositionReport` | `validate_values_businessService(java.util.Vector businessService)` A UDDI operator sends the validate_values message to the appropriate external service, whenever a publisher saves data that uses a categorization value or identifier whose use is regulated by the external party who controls that service.
`DispositionReport` | `validate_values_tModel(java.util.Vector tModel)` A UDDI operator sends the validate_values message to the appropriate external service, whenever a publisher saves data that uses a categorization value or identifier whose use is regulated by the external party who controls that service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inquiryURL

    protected java.net.URL inquiryURL

### publishURL

    protected java.net.URL publishURL

### INQUIRY_URL_PROPERTY

    public static final java.lang.String INQUIRY_URL_PROPERTY

See Also:
  Constant Field Values

### PUBLISH_URL_PROPERTY

    public static final java.lang.String PUBLISH_URL_PROPERTY

See Also:
  Constant Field Values

### LOGGING_PROPERTY

    public static final java.lang.String LOGGING_PROPERTY

See Also:
  Constant Field Values

### HTTP_BASIC_AUTH_USERNAME_PROPERTY

    public static final java.lang.String HTTP_BASIC_AUTH_USERNAME_PROPERTY

See Also:
  Constant Field Values

### HTTP_BASIC_AUTH_PASSWORD_PROPERTY

    public static final java.lang.String HTTP_BASIC_AUTH_PASSWORD_PROPERTY

See Also:
  Constant Field Values

### HTTP_PROXY_HOST_PROPERTY

    public static final java.lang.String HTTP_PROXY_HOST_PROPERTY

See Also:
  Constant Field Values

### HTTP_PROXY_PORT_PROPERTY

    public static final java.lang.String HTTP_PROXY_PORT_PROPERTY

See Also:
  Constant Field Values

### HTTP_PROXY_USERNAME_PROPERTY

    public static final java.lang.String HTTP_PROXY_USERNAME_PROPERTY

See Also:
  Constant Field Values

### HTTP_PROXY_PASSWORD_PROPERTY

    public static final java.lang.String HTTP_PROXY_PASSWORD_PROPERTY

See Also:
  Constant Field Values

### TRANSPORT_CLASSNAME_PROPERTY

    public static final java.lang.String TRANSPORT_CLASSNAME_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### UDDIProxy

    public UDDIProxy()

  Default constructor.

### UDDIProxy

    public UDDIProxy(java.net.URL inquiryURL,
                     java.net.URL publishURL)

  Construct a UDDIProxy object.

Parameters:
  `inquiryURL` - URL to be used for inquiry requests.
  `publishURL` - URL to be used for publish requests.

### UDDIProxy

    public UDDIProxy(java.util.Properties p)
              throws java.net.MalformedURLException

  Construct a UDDIProxy object

Parameters:
  `p` - Properties object which contains configuration information for UDDI4J. This properties object overrides settings normally retrieved from system properties, which in turn override those in the uddi4j.properties file.

  This object may also specify properties affecting UDDIProxy. Current settings affected by this properties object include:

  org.uddi4j.TransportClassName
    Specifies the name of the SOAP transport support class. Options include, org.uddi4j.transport.ApacheSOAPTransport, org.uddi4j.transport.ApacheAxisTransport, org.uddi4j.transport.HPSOAPTransport.
  org.uddi4j.inquiryURL
    The URL to be used by UDDIProxy for inquiry requests. setInquiryURL method overrides.
  org.uddi4j.publishURL
    The URL to be used by UDDIProxy for publish requests. setPublishURL methods override.
  org.uddi4j.logEnabled
    Set this property to true to enable logging to System.err.
Throws:
  `java.net.MalformedURLException` - In case the publish or inquiry URLs are malformed.

Method Detail

### setConfiguration

    public void setConfiguration(java.util.Properties props)
                          throws java.net.MalformedURLException

  Set the configuration properties

  Parameters:
    `props` - Properties object containing configuration information. See `UDDIProxy(Properties)` for configuration details.
  Throws:
    `java.net.MalformedURLException` - In case the publish or inquiry URLs are malformed.

### logEnabled

    public boolean logEnabled()

### getConfiguration

    public java.util.Properties getConfiguration()

  Get the configuration properties currently in use

  Returns:
    The configuration properties

### setInquiryURL

    public void setInquiryURL(java.lang.String url)
                       throws java.net.MalformedURLException

  Set the URL to be used for inquiry requests.

  Parameters:
    `url` - Inquiry URL string
  Throws:
    `java.net.MalformedURLException` - In case the Inquiry URL is malformed.

### setInquiryURL

    public void setInquiryURL(java.net.URL url)

  Set the URL to be used for inquiry requests.

  Parameters:
    `url` - Inquiry URL

### setPublishURL

    public void setPublishURL(java.lang.String url)
                       throws java.net.MalformedURLException

  Set the URL to be used for publish requests. If HTTPS is specified as the procotol, it must be added as a supported protocol. For Sun's SSL support, this can be done with the following code fragment:

          System.setProperty("java.protocol.handler.pkgs",
                             "com.sun.net.ssl.internal.www.protocol");
          java.security.Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());

  Parameters:
    `url` -
  Throws:
    `java.net.MalformedURLException` - Thrown if HTTPS is not registered as a valid URL protocol.

### setPublishURL

    public void setPublishURL(java.net.URL url)

  Set the URL to be used for publish requests.

  Parameters:
    `url` - Publish URL

### find_binding

    public BindingDetail find_binding(FindQualifiers findQualifiers,
                                      java.lang.String serviceKey,
                                      TModelBag tModelBag,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  The find_binding method returns a bindingDetail message that contains a bindingTemplates structure with zero or more bindingTemplate structures matching the criteria specified in the argument list.

  Parameters:
    `findQualifiers` - This collection of findQualifier elements can be used to alter the default behavior of search functionality.
    `serviceKey` - Used to specify a particular instance of a businessService element in the registered data. Only bindings in the specific businessService data identified by the serviceKey passed will be searched.
    `tModelBag` - This is a list of tModel uuid_key values that represent the technical fingerprint to locate in a bindingTemplate structure contained within the businessService instance specified by the serviceKey value. If more than one tModel key is specified in this structure, only bindingTemplate information that exactly matches all of the tModel keys specified will be returned (logical AND). The order of the keys in the tModelBag is not relevant. All tModelKey values begin with a uuid URN qualifier (e.g. "uuid:" followed by a known tModel UUID value.
    `maxRows` - This optional integer value allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a bindingDetail message on success. In the event that no matches were located for the specified criteria, the bindingDetail structure returned in the response the will be empty (e.g. contain no bindingTemplate data.) In the even of a large number of matches, an Operator Site may truncate the result set. If this occurs, the response message will contain the truncated attribute with the value of this attribute set to true. Searching using tModelBag will also return any bindingTemplate information that matches due to hostingRedirector references. The resolved bindingTemplate structure will be returned, even if that bindingTemplate is owned by a different businessService structure.
  Throws:
    `UDDIException`
    `TransportException`

### find_business

    public BusinessList find_business(java.lang.String name,
                                      FindQualifiers findQualifiers,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead

  Find business matching specified criteria.

  Parameters:
    `name` - Partial business name to match. Leftmost match.
    `findQualifiers` - Optional findQualifiers. null indicates no find qualifiers.
    `maxRows` - Maximum number of results. 0 indicates no maximum.
  Returns:
    This function returns a businessList on success. In the event that no matches were located for the specified criteria, a businessList structure with zero businessInfo structures is returned.
  Throws:
    `UDDIException` - Contains a DispositionReport that indicates the error number.
    `TransportException` - Thrown if non-UDDI related communication errors occur.

### find_business

    public BusinessList find_business(IdentifierBag identifierBag,
                                      FindQualifiers findQualifiers,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead

  The find_business message returns a businessList message that matches the conditions specified in the arguments.

  Parameters:
    `identifierBag` - This is a list of business identifier references. The returned businessList contains businessInfo structures matching any of the identifiers passed (logical OR).
    `findQualifiers` - can be used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a businessList on success. In the event that no matches were located for the specified criteria, a businessList structure with zero businessInfo structures is returned.
  Throws:
    `UDDIException`
    `TransportException`

### find_business

    public BusinessList find_business(CategoryBag categoryBag,
                                      FindQualifiers findQualifiers,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead

  The find_business message returns a businessList message that matches the conditions specified in the arguments.

  Parameters:
    `categoryBag` - This is a list of category references. The returned businessList contains businessInfo structures matching all of the categories passed (logical AND).
    `findQualifiers` - can be used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a businessList on success. In the event that no matches were located for the specified criteria, a businessList structure with zero businessInfo structures is returned.
  Throws:
    `UDDIException`
    `TransportException`

### find_business

    public BusinessList find_business(TModelBag tModelBag,
                                      FindQualifiers findQualifiers,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  Deprecated. This method has been deprecated.Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead

  The find_business message returns a businessList message that matches the conditions specified in the arguments.

  Parameters:
    `tModelBag` - The registered businessEntity data contains bindingTemplates that in turn contain specific tModel references. The tModelBag argument lets you search for businesses that have bindings that are compatible with a specific tModel pattern. The returned businessList contains businessInfo structures that match all of the tModel keys passed (logical AND). tModelKey values must be formatted as URN qualified UUID values (e.g. prefixed with "uuid:")
    `findQualifiers` - can be used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a businessList on success. In the event that no matches were located for the specified criteria, a businessList structure with zero businessInfo structures is returned.
  Throws:
    `UDDIException`
    `TransportException`

### find_business

    public BusinessList find_business(DiscoveryURLs discoveryURLs,
                                      FindQualifiers findQualifiers,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  Deprecated. This method has been deprecated. Use `find_business(Vector, DiscoveryURLs, IdentifierBag, CategoryBag, TModelBag, FindQualifiers, int)` instead

  The find_business message returns a businessList message that matches the conditions specified in the arguments.

  Parameters:
    `discoveryURLs` - This is a list of URL's to be matched against the data associated with the discoveryURL's contents of registered businessEntity information. To search for URL without regard to useType attribute values, pass the useType component of the discoveryURL elements as empty attributes. If useType values are included, then the match will be made only on registered information that match both the useType and URL value. The returned businessList contains businessInfo structures matching any of the URL's passed (logical OR).
    `findQualifiers` - can be used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a businessList on success. In the event that no matches were located for the specified criteria, a businessList structure with zero businessInfo structures is returned.
  Throws:
    `UDDIException`
    `TransportException`

### find_business

    public BusinessList find_business(java.util.Vector names,
                                      DiscoveryURLs discoveryURLs,
                                      IdentifierBag identifierBag,
                                      CategoryBag categoryBag,
                                      TModelBag tModelBag,
                                      FindQualifiers findQualifiers,
                                      int maxRows)
                               throws UDDIException,
                                      TransportException

  The find_business message returns a businessList message that matches the conditions specified in the arguments.

  Parameters:
    `names` - vector of Name objects .
    `discoveryURLs` - This is a list of URL's to be matched against the data associated with the discoveryURL's contents of registered businessEntity information. To search for URL without regard to useType attribute values, pass the useType component of the discoveryURL elements as empty attributes. If useType values are included, then the match will be made only on registered information that match both the useType and URL value. The returned businessList contains businessInfo structures matching any of the URL's passed (logical OR).
    `identifierBag` - This is a list of business identifier references. The returned businessList contains businessInfo structures matching any of the identifiers passed (logical OR).
    `categoryBag` - This is a list of category references. The returned businessList contains businessInfo structures matching all of the categories passed (logical AND).
    `tModelBag` - The registered businessEntity data contains bindingTemplates that in turn contain specific tModel references. The tModelBag argument lets you search for businesses that have bindings that are compatible with a specific tModel pattern. The returned businessList contains businessInfo structures that match all of the tModel keys passed (logical AND). tModelKey values must be formatted as URN qualified UUID values (e.g. prefixed with "uuid:")
    `findQualifiers` - can be used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a businessList on success. In the event that no matches were located for the specified criteria, a businessList structure with zero businessInfo structures is returned.
  Throws:
    `UDDIException`
    `TransportException`

### find_relatedBusinesses

    public RelatedBusinessesList find_relatedBusinesses(java.lang.String businessKey,
                                                        KeyedReference keyedReference,
                                                        FindQualifiers findQualifiers)
                                                 throws UDDIException,
                                                        TransportException

  Deprecated. UDDI version 2, errata 2 added maxrows as a parameter to this method. Use `find_relatedBusinesses(String, KeyedReference, FindQualifiers, int)` instead

  The find_relatedBusinesses API call is used to locate information about businessEntity registrations that are related to a specific business entity whose key is passed in the inquiry. The Related Businesses feature is used to manage registration of business units and subsequently relate them based on organizational hierarchies or business partner relationships. This returns zero or more relatedBusinessInfo structures .For the businessEntity specified in the the response reports complete business relationships with other businessEntity registrations. Business relationships are complete between two businessEntity registrations when the publishers controlling each of the businessEntity structures involved in the relationship set assertions affirming that relationship.

  Parameters:
    `businessKey` - This is used to specify a particular BusinessEntity instance.
    `keyedReference` - This is a single, optional keyedReference element that is used to specify that only businesses that are related to the focal point in a specific way should be included in the results.
    `findQualifiers` - Can be used to alter the default behavior of search functionality.
  Returns:
    This function returns a RelatedBusinessesList on success.
  Throws:
    `UDDIException`
    `TransportException`

### find_relatedBusinesses

    public RelatedBusinessesList find_relatedBusinesses(java.lang.String businessKey,
                                                        KeyedReference keyedReference,
                                                        FindQualifiers findQualifiers,
                                                        int maxRows)
                                                 throws UDDIException,
                                                        TransportException

  The find_relatedBusinesses API call is used to locate information about businessEntity registrations that are related to a specific business entity whose key is passed in the inquiry. The Related Businesses feature is used to manage registration of business units and subsequently relate them based on organizational hierarchies or business partner relationships. This returns zero or more relatedBusinessInfo structures .For the businessEntity specified in the the response reports complete business relationships with other businessEntity registrations. Business relationships are complete between two businessEntity registrations when the publishers controlling each of the businessEntity structures involved in the relationship set assertions affirming that relationship.

  Parameters:
    `businessKey` - This is used to specify a particular BusinessEntity instance.
    `keyedReference` - This is a single, optional keyedReference element that is used to specify that only businesses that are related to the focal point in a specific way should be included in the results.
    `findQualifiers` - Can be used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a RelatedBusinessesList on success.
  Throws:
    `UDDIException`
    `TransportException`

### find_service

    public ServiceList find_service(java.lang.String businessKey,
                                    java.lang.String name,
                                    FindQualifiers findQualifiers,
                                    int maxRows)
                             throws UDDIException,
                                    TransportException

  Deprecated. This method has been deprecated. Use `find_service(String, Vector, CategoryBag, TModelBag, FindQualifiers, int)` instead

  This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.

  Parameters:
    `businessKey` - used to specify a particular BusinessEntity instance.
    `name` - Represents a partial name. Any businessService data contained in the specified businessEntity with a matching partial name value gets returned.
    `findQualifiers` - Used to alter the default behavior of search functionality.
    `maxRows` - Allows the requesting program to limit the number of results returned. A value of 0 indicates no limit.
  Returns:
    This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.
  Throws:
    `UDDIException`
    `TransportException`

### find_service

    public ServiceList find_service(java.lang.String businessKey,
                                    CategoryBag categoryBag,
                                    FindQualifiers findQualifiers,
                                    int maxRows)
                             throws UDDIException,
                                    TransportException

  Deprecated. This method has been deprecated. Use `find_service(String, Vector, CategoryBag, TModelBag, FindQualifiers, int)` instead

  This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.

  Parameters:
    `businessKey` - used to specify a particular BusinessEntity instance.
    `categoryBag` - This is a list of category references. The returned serviceList contains businessInfo structures matching all of the categories passed (logical AND).
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.
  Throws:
    `UDDIException`
    `TransportException`

### find_service

    public ServiceList find_service(java.lang.String businessKey,
                                    TModelBag tModelBag,
                                    FindQualifiers findQualifiers,
                                    int maxRows)
                             throws UDDIException,
                                    TransportException

  Deprecated. This method has been deprecated. Use `find_service(String, Vector, CategoryBag, TModelBag, FindQualifiers, int)` instead

  This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.

  Parameters:
    `businessKey` - This uuid_key is used to specify a particular BusinessEntity instance.
    `tModelBag` -
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.
  Throws:
    `UDDIException`
    `TransportException`

### find_service

    public ServiceList find_service(java.lang.String businessKey,
                                    java.util.Vector names,
                                    CategoryBag categoryBag,
                                    TModelBag tModelBag,
                                    FindQualifiers findQualifiers,
                                    int maxRows)
                             throws UDDIException,
                                    TransportException

  This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.

  Parameters:
    `businessKey` - This optional uuid_key is used to specify a particular BusinessEntity instance. This argument may be used to specify an existing businessEntity in the registry or may be specified as null or "" (empty string) to indicate that all businessEntities are to be searched.
    `names` - This optional Vector of Name objects represents one or more partial names qualified with xml:lang attributes. Any businessService data contained in the specified businessEntity with a matching partial name value gets returned. A wildcard character % may be used to signify any number of any characters. Up to 5 name values may be specified. If multiple name values are passed, the match occurs on a logical OR basis within any names supplied (e.g. any match on name/language pairs will cause a registered service to be included in the final result set).
    `categoryBag` - : This is a list of category references. The returned serviceList contains businessInfo structures matching all of the categories passed (logical AND by default).
    `tModelBag` - This is a list of tModel uuid_key values that represent the technical fingerprint of a bindingTemplate structure to find. Version 2.0 defines a way to associate businessService structures with more than one businessEntity. All bindingTemplate structures within any businessService associated with the businessEntity specified by the businessKey argument will be searched. If more than one tModel key is specified in this structure, only businessService structures that contain bindingTemplate structures with fingerprint information that matches all of the tModel keys specified will be returned (logical AND only).
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a serviceList on success. In the event that no matches were located for the specified criteria, the serviceList structure returned will contain an empty businessServices structure.
  Throws:
    `UDDIException`
    `TransportException`

### find_tModel

    public TModelList find_tModel(java.lang.String name,
                                  FindQualifiers findQualifiers,
                                  int maxRows)
                           throws UDDIException,
                                  TransportException

  Deprecated. This method has been deprecated. Use `find_tModel(String, CategoryBag, IdentifierBag, FindQualifiers, int)` instead

  This find_tModel message is for locating a list of tModel entries that match a set of specific criteria. The response will be a list of abbreviated information about tModels that match the criteria (tModelList).

  Parameters:
    `name` - This string value represents a partial name. The returned tModelList contains tModelInfo structures for businesses whose name matches the value passed (leftmost match).
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a tModelList on success. In the event that no matches were located for the specified criteria, an empty tModelList object will be returned (e.g. will contain zero tModelInfo objects). This signifies zero matches
  Throws:
    `UDDIException`
    `TransportException`

### find_tModel

    public TModelList find_tModel(CategoryBag categoryBag,
                                  FindQualifiers findQualifiers,
                                  int maxRows)
                           throws UDDIException,
                                  TransportException

  Deprecated. This method has been deprecated. Use `find_tModel(String, CategoryBag, IdentifierBag, FindQualifiers, int)` instead

  This find_tModel message is for locating a list of tModel entries that match a set of specific criteria. The response will be a list of abbreviated information about tModels that match the criteria (tModelList).

  Parameters:
    `categoryBag` - This is a list of category references. The returned tModelList contains tModelInfo structures matching all of the categories passed (logical AND).
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a tModelList on success. In the event that no matches were located for the specified criteria, an empty tModelList object will be returned (e.g. will contain zero tModelInfo objects). This signifies zero matches
  Throws:
    `UDDIException`
    `TransportException`

### find_tModel

    public TModelList find_tModel(IdentifierBag identifierBag,
                                  FindQualifiers findQualifiers,
                                  int maxRows)
                           throws UDDIException,
                                  TransportException

  Deprecated. This method has been deprecated. Use `find_tModel(String, CategoryBag, IdentifierBag, FindQualifiers, int)` instead

  This find_tModel message is for locating a list of tModel entries that match a set of specific criteria. The response will be a list of abbreviated information about tModels that match the criteria (tModelList).

  Parameters:
    `identifierBag` - This is a list of business identifier references. The returned tModelList contains tModelInfo structures matching any of the identifiers passed (logical OR).
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a tModelList on success. In the event that no matches were located for the specified criteria, an empty tModelList object will be returned (e.g. will contain zero tModelInfo objects). This signifies zero matches.
  Throws:
    `UDDIException`
    `TransportException`

### find_tModel

    public TModelList find_tModel(java.lang.String name,
                                  CategoryBag categoryBag,
                                  IdentifierBag identifierBag,
                                  FindQualifiers findQualifiers,
                                  int maxRows)
                           throws UDDIException,
                                  TransportException

  This find_tModel message is for locating a list of tModel entries that match a set of specific criteria. The response will be a list of abbreviated information about tModels that match the criteria (tModelList).

  Parameters:
    `name` - This string value represents a partial name. Since tModel data only has a single name, only a single name may be passed. A wildcard character % may be used to signify any number of any characters. The returned tModelList contains tModelInfo elements for tModels whose name matches the value passed (via lexical-order - i.e., leftmost in left-to-right languages - partial match or wild card treatment).
    `categoryBag` - This is a list of category references. The returned tModelList contains tModelInfo elements matching all of the categories passed (logical AND by default). FindQualifier can be used to alter this logical AND behavior.
    `identifierBag` - This is a list of business identifier references. The returned tModelList contains tModelInfo structures matching any of the identifiers passed (logical OR).
    `findQualifiers` - used to alter the default behavior of search functionality.
    `maxRows` - allows the requesting program to limit the number of results returned.
  Returns:
    This function returns a tModelList on success. In the event that no matches were located for the specified criteria, an empty tModelList object will be returned (e.g. will contain zero tModelInfo objects). This signifies zero matches.
  Throws:
    `UDDIException`
    `TransportException`

### get_bindingDetail

    public BindingDetail get_bindingDetail(java.lang.String bindingKey)
                                    throws UDDIException,
                                           TransportException

  The get_bindingDetail message is for requesting the run-time bindingTemplate information location information for the purpose of invoking a registered business API.

  Parameters:
    `bindingKey` - uuid_key string that represent specific instance of known bindingTemplate data.
  Returns:
    This function returns a bindingDetail message on successful match
  Throws:
    `UDDIException`
    `TransportException`

### get_bindingDetail

    public BindingDetail get_bindingDetail(java.util.Vector bindingKeyStrings)
                                    throws UDDIException,
                                           TransportException

  The get_bindingDetail message is for requesting the run-time bindingTemplate information location information for the purpose of invoking a registered business API.

  Parameters:
    `bindingKeyStrings` - Vector of uuid_key strings that represent specific instances of known bindingTemplate data.
  Returns:
    This function returns a bindingDetail message on successful match of one or more bindingKey values. If multiple bindingKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_businessDetail

    public BusinessDetail get_businessDetail(java.lang.String businessKey)
                                      throws UDDIException,
                                             TransportException

  The get_businessDetail message returns complete businessEntity information for one or more specified businessEntitys

  Parameters:
    `businessKey` - A uuid_key string that represents a specific instance of known businessEntity data.
  Returns:
    This function returns a businessDetail object on successful match of one or more businessKey values. If multiple businessKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_businessDetail

    public BusinessDetail get_businessDetail(java.util.Vector businessKeyStrings)
                                      throws UDDIException,
                                             TransportException

  The get_businessDetail message returns complete businessEntity information for one or more specified businessEntitys

  Parameters:
    `businessKeyStrings` - Vector of uuid_key strings that represent specific instances of known businessEntity data.
  Returns:
    This function returns a businessDetail message on successful match of one or more businessKey values. If multiple businessKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_businessDetailExt

    public BusinessDetailExt get_businessDetailExt(java.lang.String businessKey)
                                            throws UDDIException,
                                                   TransportException

  The get_businessDetailExt message returns extended businessEntity information for one or more specified businessEntitys. This message returns exactly the same information as the get_businessDetail message, but may contain additional attributes if the source is an external registry (not an Operator Site) that is compatible with this API specification.

  Parameters:
    `businessKey` - A uuid_key string that represents a specific instance of known businessEntity data.
  Returns:
    This function returns a businessDetailExt message on successful match of one or more businessKey values. If multiple businessKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_businessDetailExt

    public BusinessDetailExt get_businessDetailExt(java.util.Vector businessKeyStrings)
                                            throws UDDIException,
                                                   TransportException

  The get_businessDetailExt message returns extended businessEntity information for one or more specified businessEntitys. This message returns exactly the same information as the get_businessDetail message, but may contain additional attributes if the source is an external registry (not an Operator Site) that is compatible with this API specification.

  Parameters:
    `businessKeyStrings` - Vector of uuid_key strings that represent specific instances of known businessEntity data.
  Returns:
    This function returns a businessDetailExt message on successful match of one or more businessKey values. If multiple businessKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_serviceDetail

    public ServiceDetail get_serviceDetail(java.lang.String serviceKey)
                                    throws UDDIException,
                                           TransportException

  The get_serviceDetail message is used to request full information about a known businessService structure.

  Parameters:
    `serviceKey` - A uuid_key string that represents a specific instance of known businessService data.
  Returns:
    This function returns a serviceDetail message on successful match of one or more serviceKey values. If multiple serviceKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_serviceDetail

    public ServiceDetail get_serviceDetail(java.util.Vector serviceKeyStrings)
                                    throws UDDIException,
                                           TransportException

  The get_serviceDetail message is used to request full information about a known businessService structure.

  Parameters:
    `serviceKeyStrings` - A vector of uuid_key strings that represent specific instances of known businessService data.
  Returns:
    This function returns a serviceDetail message on successful match of one or more serviceKey values. If multiple serviceKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_tModelDetail

    public TModelDetail get_tModelDetail(java.lang.String tModelKey)
                                  throws UDDIException,
                                         TransportException

  The get_tModelDetail message is used to request full information about a known tModel structure.

  Parameters:
    `tModelKey` - A URN qualified uuid_key string that represent a specific instance of known tModel data. All tModelKey values begin with a uuid URN qualifier (e.g. "uuid:" followed by a known tModel UUID value.)
  Returns:
    This function returns a tModelDetail message on successful match of one or more tModelKey values. If multiple tModelKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### get_tModelDetail

    public TModelDetail get_tModelDetail(java.util.Vector tModelKeyStrings)
                                  throws UDDIException,
                                         TransportException

  The get_tModelDetail message is used to request full information about a known tModel structure.

  Parameters:
    `tModelKeyStrings` - A Vector of URN qualified uuid_key strings that represent specific instances of known tModel data. All tModelKey values begin with a uuid URN qualifier (e.g. "uuid:" followed by a known tModel UUID value.)
  Returns:
    This function returns a tModelDetail message on successful match of one or more tModelKey values. If multiple tModelKey values were passed, the results will be returned in the same order as the keys passed.
  Throws:
    `UDDIException`
    `TransportException`

### add_publisherAssertions

    public DispositionReport add_publisherAssertions(java.lang.String authInfo,
                                                     PublisherAssertion publisherAssertion)
                                              throws UDDIException,
                                                     TransportException

  The add_publisherAssertions message is used to add relationship assertions to the existing set of assertions.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `publisherAssertion` - Contains a relationship assertion.
  Returns:
    This function returns a DispositionReport with a single success indicator.
  Throws:
    `UDDIException`
    `TransportException`

### add_publisherAssertions

    public DispositionReport add_publisherAssertions(java.lang.String authInfo,
                                                     java.util.Vector publisherAssertion)
                                              throws UDDIException,
                                                     TransportException

  The add_publisherAssertions message is used to add relationship assertions to the existing set of assertions.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `publisherAssertion` - Vector of publisherAssertion object. Each publisherAssertion contains a relationship assertion.
  Returns:
    This function returns a DispositionReport with a single success indicator.
  Throws:
    `UDDIException`
    `TransportException`

### get_assertionStatusReport

    public AssertionStatusReport get_assertionStatusReport(java.lang.String authInfo,
                                                           java.lang.String completionStatus)
                                                    throws UDDIException,
                                                           TransportException

  The get_assertionStatusReport message is used to request a status report containing publisher assertions and status information. This contains all complete and incomplete assertions and serves an administrative use including the determination if there are any outstanding, incomplete assertions about relationships involving businesses the publisher account is associated with.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `completionStatus` - This argument (String) lets the publisher restrict the result set to only those relationships that have the status value specified.
  Returns:
    Upon successful completion, an assertionStatusReport message is returned containing assertion status information.
  Throws:
    `UDDIException`
    `TransportException`

### get_assertionStatusReport

    public AssertionStatusReport get_assertionStatusReport(java.lang.String authInfo,
                                                           CompletionStatus completionStatus)
                                                    throws UDDIException,
                                                           TransportException

  The get_assertionStatusReport message is used to request a status report containing publisher assertions and status information. This contains all complete and incomplete assertions and serves an administrative use including the determination if there are any outstanding, incomplete assertions about relationships involving businesses the publisher account is associated with.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `completionStatus` - This argument lets the publisher restrict the result set to only those relationships that have the status value specified.
  Returns:
    Upon successful completion, an assertionStatusReport message is returned containing assertion status information.
  Throws:
    `UDDIException`
    `TransportException`

### get_publisherAssertions

    public PublisherAssertions get_publisherAssertions(java.lang.String authInfo)
                                                throws UDDIException,
                                                       TransportException

  The get_publisherAssertions message is used to get a list of active publisher assertions that are controlled by an individual publisher account.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
  Returns:
    This function returns a PublisherAssertions message that contains a publisherAssertion element for each publisher assertion registered by the publisher account associated with the authentication information.
  Throws:
    `UDDIException`
    `TransportException`

### delete_binding

    public DispositionReport delete_binding(java.lang.String authInfo,
                                            java.lang.String bindingKey)
                                     throws UDDIException,
                                            TransportException

  The delete_binding message causes one or more bindingTemplate to be deleted.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `bindingKey` - A uuid_key value that represents a specific instance of known bindingTemplate data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator.
  Throws:
    `UDDIException`
    `TransportException`

### delete_binding

    public DispositionReport delete_binding(java.lang.String authInfo,
                                            java.util.Vector bindingKeyStrings)
                                     throws UDDIException,
                                            TransportException

  The delete_binding message causes one or more bindingTemplate to be deleted.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `bindingKeyStrings` - A vector of uuid_key strings that represents specific instances of known bindingTemplate data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_business

    public DispositionReport delete_business(java.lang.String authInfo,
                                             java.lang.String businessKey)
                                      throws UDDIException,
                                             TransportException

  The delete_business message is used to remove one or more businessEntity structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `businessKey` - Uuid_key string that represents specific instance of known businessEntity data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_business

    public DispositionReport delete_business(java.lang.String authInfo,
                                             java.util.Vector businessKeyStrings)
                                      throws UDDIException,
                                             TransportException

  The delete_business message is used to remove one or more businessEntity structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `businessKeyStrings` - Vector of uuid_key strings that represent specific instances of known businessEntity data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_service

    public DispositionReport delete_service(java.lang.String authInfo,
                                            java.lang.String serviceKey)
                                     throws UDDIException,
                                            TransportException

  The delete_service message is used to remove one or more businessService structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `serviceKey` - uuid_key string that represents specific instance of known businessService data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_service

    public DispositionReport delete_service(java.lang.String authInfo,
                                            java.util.Vector serviceKeyStrings)
                                     throws UDDIException,
                                            TransportException

  The delete_service message is used to remove one or more businessService structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `serviceKeyStrings` - Vector of uuid_key strings that represent specific instances of known businessService data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_tModel

    public DispositionReport delete_tModel(java.lang.String authInfo,
                                           java.lang.String tModelKey)
                                    throws UDDIException,
                                           TransportException

  The delete_tModel message is used to remove or retire one or more tModel structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `tModelKey` - uuid_key string that represents specific instance of known tModel data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_tModel

    public DispositionReport delete_tModel(java.lang.String authInfo,
                                           java.util.Vector tModelKeyStrings)
                                    throws UDDIException,
                                           TransportException

  The delete_tModel message is used to remove or retire one or more tModel structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `tModelKeyStrings` - Vector of uuid_key strings that represent specific instances of known tModel data.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_publisherAssertions

    public DispositionReport delete_publisherAssertions(java.lang.String authInfo,
                                                        PublisherAssertion publisherAssertion)
                                                 throws UDDIException,
                                                        TransportException

  The delete_publisherAssertions message is used to delete specific publisher assertions from the assertion collection controlled by a particular publisher account. Deleting assertions from the assertion collection will affect the visibility of business relationships. Deleting an assertion will cause any relationships based on that assertion to be invalidated.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `publisherAssertion` - Contains a relationship assertion.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### delete_publisherAssertions

    public DispositionReport delete_publisherAssertions(java.lang.String authInfo,
                                                        java.util.Vector publisherAssertion)
                                                 throws UDDIException,
                                                        TransportException

  The delete_publisherAssertions message is used to delete specific publisher assertions from the assertion collection controlled by a particular publisher account. Deleting assertions from the assertion collection will affect the visibility of business relationships. Deleting an assertion will cause any relationships based on that assertion to be invalidated.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `publisherAssertion` - Is a vector of publisherAssertion values. Each publisherAssertion contains a relationship assertion.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator
  Throws:
    `UDDIException`
    `TransportException`

### discard_authToken

    public DispositionReport discard_authToken(java.lang.String authInfo)
                                        throws UDDIException,
                                               TransportException

  The discard_authToken message is used to inform an Operator Site that the authentication token can be discarded. Subsequent calls that use the same authToken may be rejected. This message is optional for Operator Sites that do not manage session state or that do not support the get_authToken message.

  Parameters:
    `authInfo` - Contains an String authentication token. Authentication tokens are obtained using the get_authToken method.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator. Discarding an expired authToken will be processed and reported as a success condition.
  Throws:
    `UDDIException`
    `TransportException`

### discard_authToken

    public DispositionReport discard_authToken(AuthInfo authInfo)
                                        throws UDDIException,
                                               TransportException

  The discard_authToken message is used to inform an Operator Site that the authentication token can be discarded. Subsequent calls that use the same authToken may be rejected. This message is optional for Operator Sites that do not manage session state or that do not support the get_authToken message.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator. Discarding an expired authToken will be processed and reported as a success condition.
  Throws:
    `UDDIException`
    `TransportException`

### get_authToken

    public AuthToken get_authToken(java.lang.String userid,
                                   java.lang.String cred)
                            throws UDDIException,
                                   TransportException

  The get_authToken message is used to obtain an authentication token. Authentication tokens are opaque values that are required for all other publisher API calls. This message is not required for Operator Sites that have an external mechanism defined for users to get an authentication token. This API is provided for implementations that do not have some other method of obtaining an authentication token or certificate, or that choose to use userID and Password based authentication.

  Parameters:
    `userid` - user that an individual authorized user was assigned by an Operator Site. Operator Sites will each provide a way for individuals to obtain a UserID and password that will be valid only at the given Operator Site.
    `cred` - password or credential that is associated with the user.
  Returns:
    This function returns an authToken object that contains a valid authInfo object that can be used in subsequent calls to publisher API calls that require an authInfo value.
  Throws:
    `UDDIException`
    `TransportException`

### get_registeredInfo

    public RegisteredInfo get_registeredInfo(java.lang.String authInfo)
                                      throws UDDIException,
                                             TransportException

  The get_registeredInfo message is used to get an abbreviated list of all businessEntity keys and tModel keys that are controlled by the individual associated the credentials passed.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken API call.
  Returns:
    Upon successful completion, a registeredInfo object will be returned, listing abbreviated business information in one or more businessInfo objects, and tModel information in one or more tModelInfo objects. This API is useful for determining the full extent of registered information controlled by a single user in a single call.
  Throws:
    `UDDIException`
    `TransportException`

### save_binding

    public BindingDetail save_binding(java.lang.String authInfo,
                                      java.util.Vector bindingTemplates)
                               throws UDDIException,
                                      TransportException

  The save_binding message is used to save or update a complete bindingTemplate structure. This message can be used to add or update one or more bindingTemplate structures to one or more existing businessService structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `bindingTemplates` - Vector of bindingTemplate objects. The order in which these are processed is not defined. To save a new bindingTemplate, pass a bindingTemplate object with an empty bindingKey attribute value.
  Returns:
    This API returns a bindingDetail object containing the final results of the call that reflects the newly registered information for the effected bindingTemplate objects.
  Throws:
    `UDDIException`
    `TransportException`

### save_business

    public BusinessDetail save_business(java.lang.String authInfo,
                                        java.util.Vector businessEntities)
                                 throws UDDIException,
                                        TransportException

  The save_business message is used to save or update information about a complete businessEntity structure. This API has the broadest scope of all of the save_x API calls in the publisher API, and can be used to make sweeping changes to the published information for one or more businessEntity structures controlled by an individual.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `businessEntities` - Vector of businessEntity objects. These objects can be obtained in advance by using the get_businessDetail API call or by any other means.
  Returns:
    This API returns a businessDetail message containing the final results of the call that reflects the new registered information for the businessEntity information provided.
  Throws:
    `UDDIException`
    `TransportException`

### save_business

    public BusinessDetail save_business(java.lang.String authInfo,
                                        UploadRegister[] uploadRegisters)
                                 throws UDDIException,
                                        TransportException

  Deprecated. This method has been deprecated. Use `save_business(String, Vector)` instead

  The save_business message is used to save or update information about a complete businessEntity structure. This API has the broadest scope of all of the save_x API calls in the publisher API, and can be used to make sweeping changes to the published information for one or more businessEntity structures controlled by an individual.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `uploadRegisters` - Vector of UpLoadRegister objects which contain resolvable HTTP URL addresses that each point to a single and valid businessEntity or businessEntityExt structure. This allows a registry to be updated to reflect the contents of an XML document that is URL addressable. The URL must return a pure XML document that only contains a businessEntity structure as its top-level element, and be accessible using the standard HTTP-GET protocol.
  Returns:
    This API returns a businessDetail message containing the final results of the call that reflects the new registered information for the businessEntity information provided.
  Throws:
    `UDDIException`
    `TransportException`

### save_service

    public ServiceDetail save_service(java.lang.String authInfo,
                                      java.util.Vector businessServices)
                               throws UDDIException,
                                      TransportException

  The save_service message adds or updates one or more businessService structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `businessServices` - Vector of businessService objects. These objects can be obtained in advance by using the get_serviceDetail API call or by any other means.
  Returns:
    This API returns a serviceDetail object containing the final results of the call that reflects the newly registered information for the effected businessService structures.
  Throws:
    `UDDIException`
    `TransportException`

### save_tModel

    public TModelDetail save_tModel(java.lang.String authInfo,
                                    java.util.Vector tModels)
                             throws UDDIException,
                                    TransportException

  The save_tModel message adds or updates one or more tModel structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `tModels` - Vector of complete tModel structures. If adding a new tModel, the tModelKey value should be passed as an empty element.
  Returns:
    This API returns a tModelDetail message containing the final results of the call that reflects the new registered information for the effected tModel structures
  Throws:
    `UDDIException`
    `TransportException`

### save_tModel

    public TModelDetail save_tModel(java.lang.String authInfo,
                                    UploadRegister[] uploadRegisters)
                             throws UDDIException,
                                    TransportException

  Deprecated. This method has been deprecated. Use `save_tModel(String, Vector)` instead

  The save_tModel message adds or updates one or more tModel structures.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `uploadRegisters` - Vector of UploadRegister objects that contain resolvable HTTP URL addresses that each point to a single and valid tModel structure. This allows a registry to be updated to reflect the contents of an XML document that is URL addressable. The URL must return a pure XML document that only contains a tModel structure as its top-level element, and be accessible using the standard HTTP-GET protocol.
  Returns:
    This API returns a tModelDetail message containing the final results of the call that reflects the new registered information for the effected tModel structures
  Throws:
    `UDDIException`
    `TransportException`

### set_publisherAssertions

    public PublisherAssertions set_publisherAssertions(java.lang.String authInfo,
                                                       PublisherAssertion pub)
                                                throws UDDIException,
                                                       TransportException

  The set_publisherAssertions message is used to save the complete set of publisher assertions for an individual publisher account. When this message is processed, the publisher assertions that are active prior to this API call for a given publisher account are examined by the UDDI registry. Any new assertions not present prior to the call are added to the assertions attributed to the publisher. As a result, new relationships may be activated (e.g. determined to have a completed status), and existing relationships may be deactivated.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `pub` - Contains a relationship assertion.
  Returns:
    Upon successful completion, a publisherAssertions message is returned containing all of the relationship assertions currently attributed to the publisher account that is associated with the authInfo data passed.
  Throws:
    `UDDIException`
    `TransportException`

### set_publisherAssertions

    public PublisherAssertions set_publisherAssertions(java.lang.String authInfo,
                                                       java.util.Vector publisherAssertion)
                                                throws UDDIException,
                                                       TransportException

  The set_publisherAssertions message is used to save the complete set of publisher assertions for an individual publisher account. When this message is processed, the publisher assertions that are active prior to this API call for a given publisher account are examined by the UDDI registry. Any new assertions not present prior to the call are added to the assertions attributed to the publisher. As a result, new relationships may be activated (e.g. determined to have a completed status), and existing relationships may be deactivated.

  Parameters:
    `authInfo` - Contains an authentication token. Authentication tokens are obtained using the get_authToken method.
    `publisherAssertion` - Is a vector of publisherAssertion object. Each publisherAssertion contains a relationship assertion.
  Returns:
    Upon successful completion, a publisherAssertions message is returned containing all of the relationship assertions currently attributed to the publisher account that is associated with the authInfo data passed.
  Throws:
    `UDDIException`
    `TransportException`

### validate_values_businessEntity

    public DispositionReport validate_values_businessEntity(java.util.Vector businessEntity)
                                                     throws UDDIException,
                                                            TransportException

  A UDDI operator sends the validate_values message to the appropriate external service, whenever a publisher saves data that uses a categorization value or identifier whose use is regulated by the external party who controls that service. The normal use is to verify that specific categories or identifiers (checking the keyValue attribute values supplied) exist within the given taxonomy or identifier system

  Parameters:
    `businessEntity` - The vector of businessEntity structure being validated.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator.
  Throws:
    `UDDIException`
    `TransportException`

### validate_values_businessService

    public DispositionReport validate_values_businessService(java.util.Vector businessService)
                                                      throws UDDIException,
                                                             TransportException

  A UDDI operator sends the validate_values message to the appropriate external service, whenever a publisher saves data that uses a categorization value or identifier whose use is regulated by the external party who controls that service. The normal use is to verify that specific categories or identifiers (checking the keyValue attribute values supplied) exist within the given taxonomy or identifier system

  Parameters:
    `businessService` - The vector of business service structure being validated.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator.
  Throws:
    `UDDIException`
    `TransportException`

### validate_values_tModel

    public DispositionReport validate_values_tModel(java.util.Vector tModel)
                                             throws UDDIException,
                                                    TransportException

  A UDDI operator sends the validate_values message to the appropriate external service, whenever a publisher saves data that uses a categorization value or identifier whose use is regulated by the external party who controls that service. The normal use is to verify that specific categories or identifiers (checking the keyValue attribute values supplied) exist within the given taxonomy or identifier system

  Parameters:
    `tModel` - The vector of tModel structure being validated.
  Returns:
    Upon successful completion, a dispositionReport is returned with a single success indicator.
  Throws:
    `UDDIException`
    `TransportException`

### send

    public org.w3c.dom.Element send(UDDIElement el,
                                    boolean inquiry)
                             throws TransportException

  Sends a UDDIElement to either the inquiry or publish URL.

  Parameters:
    `el` -
    `inquiry` -
  Returns:
    An element representing a XML DOM tree containing the UDDI response.
  Throws:
    `TransportException`

### send

    public org.w3c.dom.Element send(org.w3c.dom.Element el,
                                    boolean inquiry)
                             throws TransportException

  Sends an XML DOM tree indentified by the given element to either the inquiry or publish URL. Can be used to send an manually constructed message to the UDDI registry.

  Parameters:
    `el` -
    `inquiry` -
  Returns:
    An element representing a XML DOM tree containing the UDDI response.
  Throws:
    `TransportException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.